.regform1,
.regform2 {
  display: none;
}

.boxOfControls {
  position: relative;
  width: 100%;
  display: grid;
  gap: 1rem;
  margin-bottom: 3rem;
  container-type: inline-size;
  container-name: boxOfControls;
}

.boxOfControls .formBox {
  position: relative;
  height: auto;
  padding: 1rem;
}

.boxOfControls .formBox.full {
  grid-column: 1 / -1;
}

.required::after {
  font-size: 150%;
  font-weight: 600;
  line-height: 0.5;
  vertical-align: -20%;
  color: red;
  content: " *";
}

@media (max-width: 640px) {

  .boxOfControls .standalone {
    width: 100%;
  }

  .boxOfControls {
    grid-template-columns: 1fr;
  }

  .boxOfControls .formBox.full {
    grid-column-start: unset;
  }
}

@media (min-width: 641px) {
  .boxOfControls .half.standalone {
    max-width: calc(50% - 0.5rem);
  }

  .boxOfControls {
    grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
  }
}

input:focus,
textarea:focus {
  outline: none;
}

button,
fieldset,
input,
legend,
select,
textarea {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

fieldset.myone {
  width: calc(100% + 2rem);
  height: calc(100% + 2rem);
  display: block;
  margin: -1rem;
  padding: 0.5rem;
  padding-top: 0.75rem;
  border: 1px solid hsl(180, 35%, 35%);
  border-radius: 0.4rem;
  background-color: hsl(180, 20%, 97%);
}

fieldset.myone legend {
  font-family: 'Bold';
  font-size: 0.8em;
  line-height: 1;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  margin: 0;
  padding: 0 0.5rem;
  color: hsl(180, 35%, 35%);
}

fieldset.myone label {
  cursor: pointer;
}

fieldset.myone fieldset.sub {
  margin-bottom: 1rem;
  border: 1px solid hsl(180, 20%, 80%);
  border-bottom: 2px solid hsl(180, 20%, 80%);
  background-color: white;
}

fieldset.myone fieldset.sub legend {
  font-family: 'Regular';
  font-size: 0.8em;
  text-transform: none;
  letter-spacing: 0.5px;
  margin: 1rem 0 0.5rem 0;
  padding: 0 0.5rem;
  color: black;
}

input[type="radio"] {
  appearance: none;
  opacity: 0;
  position: absolute;
}

.myradio {
  font-family: 'Icon';
  font-size: 1.5rem;
  cursor: pointer;
  display: inline-flex;
  align-items: center;
  padding-right: 0.5rem;
  color: hsl(180, 35%, 35%);
}

.myradio::before {
  content: "\e93a";
}

input[type="radio"]:checked+.myradio::before {
  font-weight: 600;
  content: "\e939";
}

/* CHECKBOX */
input[type="checkbox"] {
  appearance: none;
  opacity: 0;
  position: absolute;
}

.custom-checkbox {
  position: relative;
  display: inline-flex;
  justify-content: flex-start;
  align-items: center;
  margin-right: 1rem;
}

.custom-checkbox input {
  position: absolute;
  opacity: 0;
}

.custom-checkbox span::before {
  font-family: 'Icon';
  font-size: 1.75rem;
  margin-right: 0.5rem;
  color: hsl(180, 35%, 35%);
  content: "\e907";
}

.custom-checkbox input:checked+span::before {
  font-family: 'Icon';
  font-size: 1.75rem;
  font-weight: 600;
  margin-right: 0.5rem;
  color: hsl(180, 35%, 35%);
  content: "\e93c";
}

input[type="text"],
textarea {
  width: 100%;
  font-family: 'Bold';
  font-size: 1.1rem;
  letter-spacing: 0.4px;
  padding: 0 0.25rem;
  color: hsl(210, 35%, 35%);
  border-width: 0;
  background-color: white;
}

fieldset textarea {
  resize: none;
  line-height: 1.25;
  border-width: 0;
}

/* CUSTOM SELECT */
/* Container for the custom select */
.custom-select {
  position: relative;
}

/* The currently selected option */
.custom-select .selected {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-family: 'Regular';
  font-size: 0.8em;
  line-height: 1.25;
  padding: 0.25rem;
  padding-left: 0.5rem;
  border: none;
  /* color: var(--Blue75); */
  color: hsl(180, 35%, 35%);
  cursor: pointer;
}

.custom-select .selected.filled {
  font-family: 'Bold';
  color: hsl(210, 35%, 35%);
}

/* Custom arrow icon using the icon font */
.custom-select .selected::after {
  font-family: 'Icon';
  font-size: 2rem;
  content: "\e92a";
  line-height: 0.5;
  color: hsl(180, 35%, 35%);
}

/* The dropdown options container */
.custom-select .options {
  position: absolute;
  top: 100%;
  top: 0;
  left: -0.25rem;
  width: calc(100% - 1rem);
  display: none;
  padding: 0.25rem;
  border: 1px solid hsl(180, 20%, 80%);
  background-color: white;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.15);
  z-index: 10;
}

/* Each option */
.custom-select .option {
  line-height: 1;
  padding: 0.5rem;
  cursor: pointer;
}

.custom-select .option:hover {
  background-color: hsl(180, 20%, 97%);
}

/* The reset option */
.custom-select .option.reset {
  /* font-style: italic; */
  color: hsl(210, 35%, 35%);
}

.custom-select .option.reset:hover {
  background-color: var(--Gray70);
  color: hsl(210, 35%, 35%);
}

/* Open state for the dropdown */
.custom-select.open .options {
  display: block;
}

/* END OF SELECT */

/* BUTTONS */
button {
  min-width: 7em;
  height: 2em;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  font-family: 'Medium', 'Segoe UI', Verdana, Arial, sans-serif;
  font-size: 1.25rem;
  font-weight: 500;
  letter-spacing: 0.5px;
  margin: 0.5rem;
  border: 1px solid hsl(180, 35%, 35%);
  border-radius: 0.4rem;
}

button:focus {
  outline: none;
}

button {
  background-color: hsl(180, 20%, 97%);
  color: hsl(210, 35%, 35%);
}

button:hover {
  cursor: pointer;
  background-color: hsl(180, 20%, 80%);
}

.grid-list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
}

.grid-list .item {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  margin-bottom: 0.25em;
  color: hsl(210, 35%, 35%);
}

.grid-list .item::before {
  width: 1em;
  display: block;
  font-family: 'Regular';
  font-size: 1em;
  content: "\25a0";
  margin-top: -0.075em;
  color: var(--Blue80);
}

.showToggle {
  display: block !important;
  background-image: none !important;
}